//
//  CalculatorBrain.h
//  Calculator
//
//  Created by Nathaniel Hillard on 8/20/11.
//  Copyright 2011 Loqate, Inc. All rights reserved.
//

#import <Foundation/Foundation.h>

@interface CalculatorBrain : NSObject
{
@private
    double operand;
    double storedValue;
    
    NSString * waitingOperation;
    double waitingOperand;

    BOOL isDegrees;
    BOOL isPending;
}


//-(void)setOperand:(double)anOperand;
@property double operand;
@property double storedValue;
@property double waitingOperand;
@property BOOL isDegrees;
@property BOOL isPending;

-(double)performOperation:(NSString *) operation;



@end
