//
//  CalculatorViewController.h
//  Calculator
//
//  Created by Nathaniel Hillard on 8/20/11.
//  Copyright 2011 Loqate, Inc. All rights reserved.
//

#import <UIKit/UIKit.h>
#import "CalculatorBrain.h"

@interface CalculatorViewController : UIViewController{
    IBOutlet UILabel * display; 
    IBOutlet UILabel * error;
    IBOutlet UILabel * memory;
    IBOutlet UILabel * progress;
    CalculatorBrain * brain; 
    BOOL userIsInTheMiddleOfTypingANumber;
}

- (IBAction)digitPressed:(UIButton *)sender;
- (IBAction)operationPressed:(UIButton *)sender;
- (IBAction)decimalPressed:(UIButton *)sender;
- (IBAction)backspacePressed:(UIButton *)sender;

- (IBAction)switchValueChanged:(UISwitch *)sender;

@end
